Bug 982945 - Handling Script Arguments Section of documentation uses wrong if condition
Handling Script Arguments Section of documentation uses wrong if condition
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
https://c.na7.visual.force.com/apex/C...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 04:13 EDT by Jay SenSharma
Modified: 2015-07-19 20:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 23:42:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay SenSharma 2013-07-10 04:13:16 EDT
Document URL: 
https://access.redhat.com/site/documentation//en-US/JBoss_Operations_Network/3.1/html/Dev_Writing_JON_Command-Line_Scripts/common-actions.html#Working_with_the_CLI-Script_Arguments


Section Number and Name: 
5.3. Passing Command and Script Arguments
Example 11. Handling Script Arguments



Describe the issue: 
The "Handling Script Arguments" Section shows a wrong if snippet (as the Greater than symbot should be changed to Less than symbol)

INCORRECT SECTION
=================
if (args.length > 2) {
    throw "Not enough arguments!";
}




Suggestions for improvement: 
SHOULD BE CORRECTED TO
======================
if (args.length < 2) {
    throw "Not enough arguments!";
}



Additional information:
Comment 1 Deon Ballard 2014-05-09 23:42:26 EDT
Mass closure of bugs modified in 2013. All of these are in the currently-published docs.

Note You need to log in before you can comment on or make changes to this bug.